<?php /* Template name: Portfolio */ ?> 

<?php get_header(); ?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

<?php if ( get_the_content() ) { ?>
<div class="post-content page-content" id="portfolio-content-block">
	<?php the_content(); ?>
	<div class="clearboth"></div>
</div>
<?php } ?>

<div id="content">
	<div id="portfolio-wrapper">
		<div id="portfolio-list">
			<?php 
            if ( is_front_page() ) { 
				$paged = get_query_var( 'page' );
			} else {
				$paged = get_query_var( 'paged' );
			}
			if ( function_exists('get_option_tree') ) { 
				if ( is_string ( get_option_tree('ppp') ) ) { 
					$ppp = get_option_tree('ppp'); 
				} else { 
					$ppp = 20; 
				} 
			} else {
				$ppp = 20;
			}
			$order = 'DESC';
			$orderby = 'date';
			if ( function_exists('get_option_tree') ) { 
				if ( get_option_tree('portfolio_order') == "Ascending" ) { 
					$order = 'ASC';
				} else {
					$order = 'DESC';
				}
			}
			if ( function_exists('get_option_tree') ) { 
				if ( get_option_tree('portfolio_orderby') == "Date modified" ) { 
					$orderby = 'modified';
				} else if ( get_option_tree('portfolio_orderby') == "Comment count" ) {
					$orderby = 'comment_count';
				} else if ( get_option_tree('portfolio_orderby') == "Page order" ) {
					$orderby = 'menu_order';
				} else {
					$orderby = 'date';
				}
			}
			$exclude_ids = array();
			$stycky_query = new WP_Query( array( 'post_type' => 'project' ,'meta_key' => 'satori_post-sticky', 'order' => 'ASC') );
			$stickyposts = $stycky_query->posts;
			foreach ($stickyposts as $stickypost) {
  				array_push($exclude_ids,$stickypost->ID);
			}
			wp_reset_postdata();
			if(!empty($exclude_ids)) {
				$stickypost_query = new WP_Query( array( 'post_type' => 'project' , 'post__in' => $exclude_ids ) );
            	if ($stickypost_query->have_posts()) { while ($stickypost_query->have_posts()) { $stickypost_query->the_post(); ?>
            	<?php get_template_part( 'content', get_post_format() ); ?>
            	<?php } } wp_reset_postdata();	
			}
            $temp = $wp_query;
			$wp_query = null;
			$wp_query = new WP_Query( array( 'posts_per_page' => $ppp , 'post_type' => 'project' , 'paged' => $paged , 'post__not_in' => $exclude_ids, 'order' => $order, 'orderby' => $orderby ) );
            if ($wp_query->have_posts()) { while ($wp_query->have_posts()) { $wp_query->the_post(); ?>
            <?php get_template_part( 'content', get_post_format() ); ?>
            <?php } } ?>
      	</div>
        <div class="clearboth">
        <?php if ( function_exists( 'get_option_tree' ) && get_option_tree( 'infinite_scroll' ) == 'Yes' ) { ?>
        <nav id="page_nav">
    		<a href="<?php echo $_SERVER['REQUEST_URI']; ?>page/2"></a>
  		</nav>
        <?php } ?>
    </div>
</div>

</div><!--#content-->

<?php if ( function_exists( 'get_option_tree' ) && get_option_tree( 'infinite_scroll' ) != 'Yes' ) {
	if(function_exists('Pager_portfolio_hook')) { 
		Pager_portfolio_hook(); 
	} else { 
		echo paginate_links(); 
	}
}
$wp_query = null; 
$wp_query = $temp;
?>

<?php endwhile; ?>

<?php get_footer(); ?>